This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 572337 - libguestfs should support gptsync
libguestfs should support gptsync
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-10 17:01 EST by Richard W.M. Jones
Modified: 2010-05-12 07:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2010-03-10 17:01:08 EST
Description of problem:

gptsync synchronizes the legacy MBR with the real GPT partition
table.  It can either truncate or ignore partitions which cross the
2TB boundary.

http://man.cx/gptsync(8)
gptsync - GPT partition table to MBR partition table synchronisation

Additional info:

The source for gptsync is part of the rEFIt project
(http://refit.sf.net).  Unfortunately this is not in Fedora, _and_
it's quite hard to build.

Note also that Debian have non-upstream patches to
gptsync which substantially enhance its functionality:
http://packages.debian.org/sid/gptsync

Note You need to log in before you can comment on or make changes to this bug.